- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKListstyleElement Class Reference

`#include <IWORKListstyleElement.h>`

Inheritance diagram for libetonyek::IWORKListstyleElement:

## Public Member Functions
| IWORKListstyleElement (IWORKXMLParserState &state, IWORKListStyle_t &style)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()
Public Member Functions inherited from libetonyek::IWORKPropertyHandler
virtual | ~IWORKPropertyHandler ()=0

## Private Member Functions
virtual IWORKXMLContextPtr_t | element (int name)
virtual void | endOfElement ()
virtual IWORKXMLContextPtr_t | handle (int name)

## Private Attributes
IWORKListStyle_t & | m_style
std::deque< IWORKListLabelGeometry > | m_labelGeometries
std::deque< IWORKListLabelTypeInfo_t > | m_typeInfos
std::deque< double > | m_labelIndents
std::deque< double > | m_textIndents

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

libetonyek::IWORKListstyleElement::IWORKListstyleElement | ( | IWORKXMLParserState & | state,
|  | IWORKListStyle_t & | style
| ) |  |

## Member Function Documentation

IWORKXMLContextPtr_t libetonyek::IWORKListstyleElement::element | ( | int | name | ) |
| private virtual

void libetonyek::IWORKListstyleElement::endOfElement | ( |  | ) |
| private virtual

IWORKXMLContextPtr_t libetonyek::IWORKListstyleElement::handle | ( | int | name | ) |
| private virtual

Implements libetonyek::IWORKPropertyHandler.

## Member Data Documentation

std::deque<IWORKListLabelGeometry> libetonyek::IWORKListstyleElement::m_labelGeometries
| private

Referenced by endOfElement(), and handle().

std::deque<double> libetonyek::IWORKListstyleElement::m_labelIndents
| private

Referenced by endOfElement(), and handle().

IWORKListStyle_t& libetonyek::IWORKListstyleElement::m_style
| private

Referenced by endOfElement().

std::deque<double> libetonyek::IWORKListstyleElement::m_textIndents
| private

Referenced by endOfElement(), and handle().

std::deque<IWORKListLabelTypeInfo_t> libetonyek::IWORKListstyleElement::m_typeInfos
| private

Referenced by endOfElement(), and handle().

The documentation for this class was generated from the following files:

- IWORKListstyleElement.h
- IWORKListstyleElement.cpp